Subject: Re: GPGME 1.0.3 Build Problem
From: Marcus Brinkmann <[email-masked]>
To: "djh" <[email-masked]>
Cc: <[email-masked]>, <[email-masked]>
Date: Fri, 01 Dec 2006 05:32:54 +0100
List-Id: <cygwin.cygwin.com>

At Fri, 01 Dec 2006 13:09:32 +0900,
"djh" <[email-masked]> wrote:
> 
> 
> Thanks again for your response.
> 
> > From: Marcus Brinkmann <[email-masked]>
> > ...Shared library support various dramatically across platforms.  Libtool
> > tries its best to patch it up and give a consistent picture, but it
> > can not always provide.
> > 
> ....
> > 
> > I gave it another look, and it seems to me that the problem could be
> > the following: GPGME tries to build versions of GPGME linking against
> > pthread and pth.  These versions are built from a version of the
> > library without any thread support (libgpgme-real.la), which is not
> > installed.  This non-installed library has undefined symbols, btw, but
> > it seems that libtool does not hickup over those (possibly because
> > it's not installed), or you didn't give us the warning message for
> > that case.
> 
> I did receive the  below "warning" message prior to the undefined symbol errors as follow:  ( This does contain the "libgpgme-real.la" that you mentioned.  Is this what you meant?

I saw that one in the original report.  I meant rather a warning when
linking the actual libgpgme-real.la file, which must be some lines
before the one you posted.

Thanks,
Marcus

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/